#!/usr/bin/perl -w

my $message = "Already up to date.";

my $output  = `git pull --ff-only`;

if ($output eq "Already up to date.\n") {
    print "Nothing to do";
    exit;
}
print $output;
 
my @files = glob( '/etc/cups/ppd/*.ppd' );


my @new_files = ();

for my $item (@files) {
	print "current $item\n";
	$item =~ s/\/etc\/cups\/ppd\///;
	$item =~ s/\.fi\.muni\.ppd//;
}

for my $printer (@files) {
	system("./install.pl --update $printer")
}
